## org.apache.cocoon.interpreter.ecmascript
Class EcmaScriptEvaluator

    java.lang.Object
      |
      +--org.apache.cocoon.interpreter.ecmascript.EcmaScriptEvaluator

public class EcmaScriptEvaluator
extends java.lang.Object

Version:
  $Revision: 1.4 $ $Date: 2000/02/13 18:29:26 $
Author:
  Ricardo Rocha

Constructor Summary
`protected` `EcmaScriptEvaluator(FESI.jslib.JSGlobalObject prototype, java.lang.String[] extensions)`

Method Summary
`protected boolean` `acquire()`
`protected FESI.jslib.JSGlobalObject` `getGlobalObject()`
`protected void` `release()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcmaScriptEvaluator

    protected EcmaScriptEvaluator(FESI.jslib.JSGlobalObject prototype,
                                  java.lang.String[] extensions)
                           throws FESI.jslib.JSException

Method Detail

### getGlobalObject

    protected FESI.jslib.JSGlobalObject getGlobalObject()

### acquire

    protected boolean acquire()

### release

    protected void release()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.